# coloreffects

Map colors of the video input to a lookup table

## Example launch line

     gst-launch-1.0 -v videotestsrc ! coloreffects preset=heat ! videoconvert !
         autovideosink

This pipeline shows the effect of coloreffects on a test stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──coloreffects

## Factory details

Authors: – Filippo Argiolas

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – coloreffects

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx, RGB, BGR, AYUV }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx, RGB, BGR, AYUV }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### preset

    “preset” Color-effects-preset *

Color effect preset to use

Flags : Read / Write

Default value : none (0)

## Named constants

### Color-effects-preset

The lookup table to use to convert input colors

#### Members

`none` (0) – Do nothing preset
`heat` (1) – Fake heat camera toning
`sepia` (2) – Sepia toning
`xray` (3) – Invert and slightly shade to blue
`xpro` (4) – Cross processing toning
`yellowblue` (5) – Yellow foreground Blue background color filter

The results of the search are